@ECHO OFF

rem TEST language
rem *************************
help|find "Help">nul && goto :Eng
help|find "Hilfe">nul && goto :Deu
goto :ende
:Eng
SET LANG=ENG
goto :ende
:Deu
SET LANG=DEU
:ende
rem *************************

rem TEST OS
rem *************************
VER | find "XP" > nul
IF %errorlevel% EQU 0 GOTO XP
VER | find "Microsoft Windows [Version 6" > nul
IF %errorlevel% EQU 0 GOTO Vista
VER | find "Microsoft Windows [Version 5" > nul
IF %errorlevel% EQU 0 GOTO 2003
goto unknown
goto end

:unknown
echo unknown
goto end


:2003
IF "%LANG%"=="DEU" (
SET PFAD=%userprofile%\Anwendungsdaten\Adobe\Lightroom\Web Galleries
) ELSE (
SET PFAD=%userprofile%\Application Data\Adobe\Lightroom\Web Galleries
)
goto end

:XP
IF "%LANG%"=="DEU" (
SET PFAD=%userprofile%\Anwendungsdaten\Adobe\Lightroom\Web Galleries
) ELSE (
SET PFAD=%userprofile%\Application Data\Adobe\Lightroom\Web Galleries
)
goto end

:Vista
SET PFAD=%userprofile%\AppData\Roaming\Adobe\Lightroom\Web Galleries\
goto end

:end
rem *****************************

rem Copy DATA
rem *****************************
xcopy "*.*" "%PFAD%LTD_AirTight_TiltViewer\*.*" /S /Y
rem *****************************

rem ERRORS ?
rem *****************************
if errorlevel 1 (
ECHO.
echo something went wrong!
ECHO.
) ELSE (
ECHO.
ECHO start adobe lightroom and enjoy the LTD Airtight TiltViewer Web Gallery
ECHO.
)
rem *****************************

PAUSE 